[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] rc4 can't take snaphots of 0.9.1_beta7 lvs



On Tuesday, October 09, 2001 04:58:01 PM +0100 Joe Thornber
<thornber btconnect com> wrote:
> 
> Some of the betas misaligned the logical volumes.  If the volumes
> aren't page aligned the snapshot code (which uses kiovecs) cannot
> work.  You have this problem.  Fixing it isn't easy; you need to
> shuffle your extents up or down by the appropriate amount.  No one has
> written a program to do this as of yet.  Sorry.
> 

Well, it worked in beta7 so it certainly should be possible in rc4.  I'm
sorry if I missed this in the thread(s) where backwards compatibility was
discussed, but this does not work as a clean upgrade.

I really do appreciate the compatibility work done so far, but snapshots
don't count as a minor feature that can be ignored.

Joe, thanks for the quick response.

-chris




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]